Subject: [Sip] New I-Ds

From: "Price, Richard" <[email-masked]>
Date: Fri, 20 Jul 2001 21:17:42 +0100

Hi,

New versions of the EPIC drafts have now been submitted to the
Internet Drafts editor. In the meantime, the drafts are available
from the following URLS:

http://www.epic.roke.co.uk/epic/draft-ietf-rohc-tcp-epic-01.txt

This draft describes the basic EPIC programmable compression scheme
and uses it to generate a ROHC profile for TCP/IP compression.

http://www.epic.roke.co.uk/epic/draft-price-rohc-signaling-epic-00.txt

This draft describes a "learning" version of EPIC that does not
require programming, and uses it to generate a ROHC profile for
SIP compression.

http://www.epic.roke.co.uk/epic/draft-price-rohc-epic-02.txt

This draft describes an optional enhancement to EPIC which boosts the
compression efficiency.

We hope you have as much fun reading these drafts as we had writing them(!)

Best regards,

Richard Price

-------------------------------------------------------------------------
Richard Price
Internet Applications & Mobility
Roke Manor Research Ltd.
Old Salisbury Lane
Romsey, Hants
SO51 0ZN, UK.
Telephone: +44 1794 833681
E-mail: [email-masked]
-------------------------------------------------------------------------

-----Original Message-----
From: Price, Richard 
Sent: Friday, July 20, 2001 2:56 PM
To: 'Romeo Zwart'
Cc: [email-masked]'; [email-masked]'
Subject: RE: [Sip] RE: [rohc] New I-D on compression of SIP

Hi,

Apologies to members of the SIP mailing list who haven't received
my previous emails on the subject. The scheme in question is
EPIC (Efficient Protocol-Independent Compression) which is a
programmable compression scheme with a very high level of efficiency.

There is also a "learning" version of EPIC that does not need to be
programmed - we used this to obtain the results for SIP compression.

The new EPIC draft is being published today - we will post a copy on
our website and provide the link shortly.

Regards,

Richard P

-----Original Message-----
From: Romeo Zwart [mailto:[email-masked]]
Sent: Friday, July 20, 2001 2:11 PM
To: Price, Richard
Subject: RE: [Sip] RE: [rohc] New I-D on compression of SIP

Hi Richard,

Thanks for this info, results look impressive. I am a bit confused
when you say "our own SIP compression scheme". So that's not SCRIBE
or ROGER, is it? Has that scheme been documented anywhere?

Romeo

At 02:21 PM 7/20/2001, you wrote:
>Hi,
>
>We chose the "Successful Simple SIP to SIP" call flow from
>Section 3.1.1 of <draft-ietf-sip-call-flows-05.txt> to
>benchmark our own SIP compression scheme.
>
>Initially the "dictionary" of previously received messages
>is empty, but new messages can be compressed relative to all
>previously received messages. This illustrates nicely how the
>compression ratio goes up with a more comprehensive dictionary.
>
>The results for our scheme are as follows:
>
>Message Size    Compressed Size         Compression Ratio
>
>         423                     152                             2.78
>         189                     6                               31.50
>         205                     16                              12.81
>         420                     28                              15.00
>         195                     4                               48.75
>         214                     8                               26.75
>         198                     2                               99.00
>
>If anyone has an alternative set of SIP messages, we could provide
>compression ratios for these also.
>
>Regards,
>
>Richard P